export class StarWarsStyleJournalSheet extends JournalSheet {
  static get defaultOptions() {
    return mergeObject(super.defaultOptions, {
      classes: [...(super.defaultOptions.classes || []), 'asc-starwars'],
    });
  }
  async _render(force, options) {
    await super._render(force, {...options, collapsed:true});
  }
}

export class StarWarsTextPageSheet extends JournalTextPageSheet {
  static get defaultOptions() {
    return mergeObject(super.defaultOptions, {
      classes: [...(super.defaultOptions.classes || []), 'asc-starwars'],
      width: 600,
      height: 400,
      resizable: true,
    });
  }
}